ATA_SCSI_SET_SENSE(9)

NAME
ata_scsi_set_sense - Set SCSI sense data and status

SYNOPSIS

void ata_scsi_set_sense (struct scsi_cmnd * cmd, u8 sk, u8 asc, u8 ascq);

ARGUMENTS

cmd SCSI request to be handled

sk  SCSI-defined sense key

asc SCSI-defined additional sense code

ascq
    SCSI-defined additional sense code qualifier

DESCRIPTION

Helper function that builds a valid fixed format, current response code and the given sense key (sk), additional sense code (asc) and additional sense code qualifier (ascq) with a SCSI command status of SAM_STAT_CHECK_CONDITION and

DRIVER_SENSE SET IN THE UPPER BITS OF SCSI_CMND

:result .

LOCKING

Not required

AUTHOR
Jeff Garzik.